#! /usr/bin/perl

#
# ITKACL sync: Default configuration file.
# Set your local configuration in config.local.pm instead of editing this file.
#

use strict;
use warnings;

package itkaclsyncconfig;

our $dns_zone = 'itkacl.samfundet.no';
our $dns_server = 'cirkus.samfundet.no';
our $dns_key = "ITKACL_UPDATER:somekey==";

our $updated_file = "/etc/itkacl/updated";
our $last_sync_file = "/etc/itkacl/last-sync";

our $db_host = 'sql.samfundet.no';
our $db_name = 'itkacl';
our $db_user = 'itkacl';
our $db_pass = undef;

our $minimum_uid = 500;	

# Users that are included even though they are below $minimum_uid.
our @force_include_users = (
	'root',
);

# Local configuration overrides defaults.
eval {
	require 'config.local.pm';
};

1;
