/* SWIG interface for libitkacl */
%module itkacl

/* Same as for Perl, except that we return a boolean, not an int. */
%inline %{
	extern int itkacl_check(char *realm, char *user, char *errmsg, size_t errmsgsize);
	PyObject *check(char *realm, char *user)
	{
		char errmsg[1024];
		int ret = itkacl_check(realm, user, errmsg, 1024);
		if (ret == -1) {
			PyErr_SetString(PyExc_RuntimeError, errmsg);
			return NULL;
		} else {
			if (ret == 0) {
				Py_INCREF(Py_True);
				return Py_True;
			} else {
				Py_INCREF(Py_False);
				return Py_False;
			}
		}
	}
%}

